Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

Phantom 2 and MAC assistant software not connecting

Discussion in 'Phantom 2 Discussion' started by filmerbert, Sep 23, 2014.

  1. filmerbert

    Joined:
    Sep 23, 2014
    Messages:
    6
    Likes Received:
    0
    I have the P2 with a DJI 58 FPV system, iOSD mini, and h2-3d gimbal. Im running firmware 2.0 on my P2 and on 9/22/14 I tried connecting the P2 to the MAC assistant software. I have tried multiple combinations of turning on and plugging the P2 to the computer, but they still won't connect. Has anybody else run into this issue? When I first got my Phantom 2 back in March of 2014 I did the compass calibration and it worked out. Then wanted to use the NAZA features, so I hooked it up to my mac and enabled it, all of that went well (got the Atti mode, Home Lock, Course Lock and Fail safe all to work perfectly afterwards). Then as the months went by I started to install the FPV system then the iOSD mini, but at the time I wasn't to concerned that my P2 needed to be hooked up to the assistant software. So that bring me to think that it either has to do with the installs of the FPV and the iOSD mini or the mac assistant software has a bug and it isn't allowing the P2 and the software connect properly. I haven't tried running it on a PC cause I don't own one and I don't want to run windows on my MAC. Currently I have not experienced any issues with still being on firmware 2.0, and I'm not that big of a hurry to get to V3.04, but I would still like to be able to connect my P2 just to run calibration test again and to check gimbal calibrations as well.
     
  2. Bluegrass

    Joined:
    Apr 8, 2014
    Messages:
    175
    Likes Received:
    0
    I know that you have to have the correct version of assistance to match the firmware. I am on firmware 3.06 and don't have any idea which assistance you would need for such an old firmware.
     
  3. filmerbert

    Joined:
    Sep 23, 2014
    Messages:
    6
    Likes Received:
    0
    Bluegrass, I do I have version 2.0 for the assistant software, then I downloaded v3.00 and 3.02 from DJI's site but those still won't connect to the P2. Did you use a PC to get to version 3.06. Also have you had an issues with flying you P2 on firmware 3.06. Only reason why I ask is because of that airport safety function. Just seem that it could up the chances on random fly aways since there is so much auto piloting involved now with these new firmwares.